<mat-card class="mat-elevation-z0 p-0">
  <mat-card-header>
    <mat-card-title>{{station?.commonName}}</mat-card-title>
  </mat-card-header>
  <mat-card-content class="d-flex flex-column align-items-center justify-content-center">
    <div id="chart" class="w-100 ml-n4">
      <apx-chart
        class="w-100"
        [chart]="chartOptions.chart"
        [colors]="chartOptions.colors"
        [dataLabels]="chartOptions.dataLabels"
        [fill]="chartOptions.fill"
        [legend]="chartOptions.legend"
        [plotOptions]="chartOptions.plotOptions"
        [series]="chartOptions.series"
        [stroke]="chartOptions.stroke"
        [title]="chartOptions.title"
        [tooltip]="chartOptions.tooltip"
        [xaxis]="chartOptions.xaxis"
        [yaxis]="chartOptions.yaxis"
      ></apx-chart>
    </div>
    <button (click)="route()" mat-raised-button id="route-button">Open in dashboard</button>
  </mat-card-content>
</mat-card>
